Name:           perl-ORLite-Migrate
Version:        1.09
Release:        2%{?dist}
Summary:        Light weight SQLite-specific schema migration
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ORLite-Migrate/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Migrate-%{version}.tar.gz
Patch0:         perl-ORLite-Migrate-req.patch
BuildArch:      noarch
# File::Spec >= 3.2701, we have 3.30, rpm can't process 3.2701 < 3.30
BuildRequires:	perl-devel >= 4:5.10.0-70
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBD::SQLite) >= 1.21
BuildRequires:  perl(DBI) >= 1.58
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path) >= 2.04
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(File::Spec) >= 3.28
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(ORLite) >= 1.28
BuildRequires:  perl(Params::Util) >= 0.37
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(File::Which)
# inc
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(YAML::Tiny)
# The following three requires are not detected automatically:
Requires:       perl(File::pushd)
Requires:       perl(IPC::Run3)
Requires:       perl(Probe::Perl)
# Specific versions
Requires:       perl(DBD::SQLite) >= 1.21
Requires:       perl(DBI) >= 1.58
Requires:       perl(File::Path) >= 2.04
Requires:       perl(File::Spec) >= 3.28
Requires:       perl(ORLite) >= 1.28
Requires:       perl(Params::Util) >= 0.37
Requires:       perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%global __requires_exclude ^perl\\(DBD::SQLite|DBI|File::Path|File::Spec|ORLite|Params::Util|Test::More\\)$

%description
SQLite is a light weight single file SQL database that provides an excellent 
platform for embedded storage of structured data. ORLite is a light weight 
single class Object-Relational Mapper (ORM) system specifically designed 
for (and limited to only) work with SQLite. ORLite::Migrate is a light 
weight single class Database Schema Migration enhancement for ORLite.

%prep
%setup -q -n ORLite-Migrate-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Petr Sabata <contyk@redhat.com> - 1.09-1
- 1.09 bump
- Remove now obsolete BuildRoot and defattr

* Wed Oct 12 2011 Marcela Mašláňová <mmaslano@redhat.com> 1.08-1
- update to 1.08

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.07-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.07-3
- 661697 rebuild for fixing problems with vendorach/lib

* Mon Aug  9 2010 Marcela Mašláňová <mmaslano@redhat.com> - 1.07-2
- fix requirement of this update

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Stepan Kasal <skasal@redhat.com> 0.03-3
- clean up the requires a bit

* Wed Jun 10 2009 Stepan Kasal <skasal@redhat.com> 0.03-2
- work around a problem with crazy perl versioning

* Wed Jun  3 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.03-1
- update

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.01-1
- Specfile autogenerated by cpanspec 1.77.
